#
# spec file for package tree-sitter-typescript
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name typescript
Name:           tree-sitter-typescript
Version:        0.23.2
Release:        1.2
Summary:        Typescript grammar for tree-sitter
License:        MIT
URL:            https://github.com/tree-sitter/tree-sitter-typescript
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
BuildRequires:  treesitter_grammar_src(tree-sitter-javascript)
%treesitter_grammars %{_name} tsx

%description
%{summary}.

%prep
%autosetup

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install
%treesitter_devel_install common/define-grammar.js

#neovim stuff
install -d %{buildroot}%{_libdir}/tree_sitter
ln -s %{_libdir}/lib%{name}.so %{buildroot}%{_libdir}/tree_sitter/%{_name}.so
ln -s %{_libdir}/libtree-sitter-tsx.so %{buildroot}%{_libdir}/tree_sitter/tsx.so

%files
%license LICENSE
%treesitter_files
%{_libdir}/tree_sitter/%{_name}.so
%{_libdir}/tree_sitter/tsx.so
%if 0%{?suse_version} < 1600
%dir %{_libdir}/tree_sitter
%endif

%treesitter_devel_package

%changelog
* Thu Dec  5 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.23.2:
  * nothing of relevance
- update to 0.23.1:
  * fix(rust): don't fetch files from node_modules
  * fix: remove glimmer tags
  * build: move tree-sitter-javascript to dependencies
  * chore: regenerate
  * build: update bindings
  * feat(node): support single-file executables via bun build --compile
  * chore: regenerate
  * build: update bindings
- update to 0.23.0:
  * build: update bindings
  * feat: bump tree-sitter-javascript to 0.23
  * chore: generate
  * feat: support parenthesized expressions in decorators
  * feat: support assert syntax in imports
  * perf: improve generation time, state count, & memory usage
- update to 0.22.2:
  * chore: generate
  * feat: add accessor keyword
  * feat: support special type_query types everywhere
  * fix: allow this in type queries
  * make type a supertype
  * style: remove wrapping parenthesis
  * fix(swift): add excludes
  * fix(rust): comments for node types
  * fix: decorators of call expressions can have type arguments
  * fix: allow automatic semicolons where binary operators are valid
- update to 0.21.1:
  * nothing of relevance
- update to 0.21.0:
  * chore: generate
  * build: update bindings and manifests
- add neovim links
- switch to download_files service
- enable devel package
* Mon Mar 25 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.20.6:
  * build: update javascript dep
  * fix: expose string fragments in template string types
  * docs: update badges
  * Update highlights.scm for content_tag
* Tue Feb 27 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.20.5:
  * 0.20.5
  * chore: generate
  * feat: add readonly to reserved identifiers
  * chore: update tests
  * chore: update javascript grammar
  * fix: format scanner and don't bother parsing during error recovery
  * 0.20.4
  * chore: add and apply eslint formatting
  * chore: update manifests, actions and docs
  * chore: generate
